package com.reptileclient.jlifeapp.dao.hm;

import com.reptileclient.jlifeapp.entity.hm.HmDownHistory;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface HmDownHistoryMapper {
	int deleteByPrimaryKey(Long id);

	int insert(HmDownHistory record);

	int insertSelective(HmDownHistory record);

	HmDownHistory selectByPrimaryKey(Long id);

	int updateByPrimaryKeySelective(HmDownHistory record);

	int updateByPrimaryKey(HmDownHistory record);

	/**
	 * 查询未读取的数据
	 * 
	 * @param exportName
	 * @return
	 */
	List<HmDownHistory> findIsRead(@Param("exportName") String exportName);
}